Page MenuHomePhabricator

Weekly Reports for Pywikibot Support for Thanks
Closed, DeclinedPublic

Description

Weekly reports of progress made for the project.


Community Bonding Period

.

Week 1 (Community Bonding) | April 22 - April 29

.

Week 2 (Community Bonding) | April 29 - May 5

Inactive
.

Week 3 (Community Bonding) | May 5 - May 12

.

Week 4 (Community Bonding) | May 12 - May 19
  • Create Subtasks for the Project (first three for now): T135409 T135411 T135413
  • Read Documentation on Pywikibot: See my notes (still being updated) here.
  • Reported Bug T135233
  • Code-Reviewed others' patches - see this.
  • Submitted Patches to Changes 288871
  • See my Mediawiki and Commons edits here and here.
  • Created Bonding Report Task T135404
  • Wrote blog post for Community Bonding - read here.
  • First Mentor Meet at #gsoc-thanks on IRC
  • Send mail on wikitech-l introducing myself.
  • Gain some experience with PAWS. See my edits here.
  • Run Pywikibot from local system.
  • Create my Tool Labs instance.
  • Write my own test script for Pywikibot
  • Read up documentation on Thanks
  • Look at Pywikibot-Flow for pointers

.

Wrap-Up for Community Bonding | May 19 - May 22
  • Finish all objectives for the Community Bonding Period

Coding Period | Till Mid-Term Evaluations

.

Week 1 | May 23 - May 29
  • Meeting 3 - May 27th | T136542
  • Studied and cleared doubts about basic.py and weblinkchecker.py.
  • Studied and asked doubts about unit tests.
  • Submit rough design for methods as mentioned on the corresponding Phab task.
  • New blog post on building a bot here.

.

Week 2 | May 30 - June 5th
  • Meeting 4 - 3rd June | T136892
  • Prototype design improved at T136892#2374804
  • Created a proof of design which could thank a revision. P3234
  • Read tests/README.rst and tests/add_text_tests.py.

.

Week 3 | June 6th - June 13th
  • Meeting 5 - 10th June | T137462
  • Wrote first draft of unit tests for thanks.py here.
  • Added API calls through site.py, and improved the proof of concept.
  • Added User.thanks_enabled property to site.py
  • Improved testing in thanks_tests.py using logevents().
  • Blog post on Subtask I here.

.

Week 4 | June 14th - June 21st
  • Meeting 6 - 15th June | T137836
  • Meeting 7 - 17th June | T138056
  • Meeting 8 - 20th June | T138164
  • Investigated into MediaWiki API access for thanks preferences for a User.
  • Improved all code for T135409 according to meeting discussions.
  • Accounted for User.thanks_enabled in thanks_tests.py before thanking.
  • Submitted first patchset for T135409: 294901
  • Wrote proof of design for thanking flow posts. P3256 P3257
  • Wrote flow_thanks and corresponding flow_thanks_tests
  • Checked if site.py ensures that two need_extensions can co-exist.
  • Submitted first patchset for T135411: 295132
  • Blog post on Subtask II here.

.

Week 5 | June 21st - June 27th
  • Meeting 9 - 24th June | T138531
  • Improved 294901 and 295132 in response to code review.
  • Both patches pass with a +2 on jenkins
  • Final blog post before mid terms, on what I've learned along the way here.
  • Updated weekly reports.
  • Submitted mid-term evaluation form.
  • Changes pushed to local repository.

Related Objects

Event Timeline

Niharika removed a subscriber: Niharika.Apr 26 2016, 4:49 PM
darthbhyrava updated the task description. (Show Details)Apr 26 2016, 8:54 PM
Mpaa removed a subscriber: Mpaa.Apr 26 2016, 9:07 PM

Please divide this into periods of one week. not "April 22 - May 22".

darthbhyrava updated the task description. (Show Details)May 15 2016, 2:35 AM
darthbhyrava updated the task description. (Show Details)May 16 2016, 7:22 PM
darthbhyrava moved this task from Backlog to GSoC on the Pywikibot-Thanks board.
darthbhyrava updated the task description. (Show Details)May 16 2016, 8:38 PM
jayvdb updated the task description. (Show Details)May 18 2016, 12:00 AM
darthbhyrava updated the task description. (Show Details)May 18 2016, 5:37 AM
darthbhyrava updated the task description. (Show Details)May 18 2016, 9:04 AM
darthbhyrava updated the task description. (Show Details)May 18 2016, 1:05 PM
darthbhyrava updated the task description. (Show Details)Jun 2 2016, 10:01 PM
darthbhyrava updated the task description. (Show Details)Jun 2 2016, 10:17 PM
jayvdb updated the task description. (Show Details)Jun 3 2016, 3:10 PM
jayvdb added a comment.Jun 3 2016, 3:15 PM

"Doubts asked on Pywikibot" - could you please mention the topics you discussed on IRC channel Pywikibot , and who you discussed it with using @ linking their username. (from your blog, I see you talked with @valhallasw about __version__ Ids T87409)

Re http://bhyrava.me/code/gsoc/wikimedia/2016/05/30/GSoC4/ , I see you have some footnotes, but the foot notes appear to be empty.

jayvdb updated the task description. (Show Details)Jun 3 2016, 3:16 PM
darthbhyrava added a comment.EditedJun 3 2016, 3:27 PM

"Doubts asked on Pywikibot" - could you please mention the topics you discussed on IRC channel Pywikibot , and who you discussed it with using @ linking their username. (from your blog, I see you talked with @valhallasw about __version__ Ids T87409)
Re http://bhyrava.me/code/gsoc/wikimedia/2016/05/30/GSoC4/ , I see you have some footnotes, but the foot notes appear to be empty.

I had asked doubts about version ids, the 'options' variable, and 'live wiki'. @valhallasw did indeed reply regarding the version ids, the other doubts went unanswered.

As for the footnotes, they are links to doubts I still have (it's handy that way for me) which I plan to fill in as soon as they are answered. That particular blog post is still incomplete, as I haven't added in my notes on weblinkchecker, yet.

darthbhyrava updated the task description. (Show Details)Jun 24 2016, 6:28 PM
01tonythomas closed this task as Declined.Jul 12 2016, 8:13 AM

Closing this one. Thank you for the work @darthbhyrava.